Kit - Update
curl --request PUT \
--url https://api.skulabs.com/kit/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"_id": "507f1f77bcf86cd799439011",
"kit_id": "<string>",
"listing_sku": "<string>",
"sku": "<string>"
}
}
'import requests
url = "https://api.skulabs.com/kit/update"
payload = { "data": {
"_id": "507f1f77bcf86cd799439011",
"kit_id": "<string>",
"listing_sku": "<string>",
"sku": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
_id: '507f1f77bcf86cd799439011',
kit_id: '<string>',
listing_sku: '<string>',
sku: '<string>'
}
})
};
fetch('https://api.skulabs.com/kit/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Kit
Kit - Update
Update an existing kit’s properties such as name, weight, or component items.
PUT
/
kit
/
update
Kit - Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Kit data to update (must include _id, kit_id, listing_sku, or sku to identify the kit)
Show child attributes
Show child attributes
Response
Kit updated
Whether the operation succeeded
⌘I